
Core - Task # 27983

Task # 24954 (Closed): The Big Cleanup 4.6

Status: Closed Priority: Should have
Author: Stefan Neufeind Category:
Created: 2011-07-08 Assigned To: Xavier Perseguers
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Sprint Focus:
Subject: Remove deprecated parts marked for removal in TYPO3 4.4/4.5/4.6
Description

Haven't yet looked into the details of these places, just collected where old versions are mentioned and where removals might be due.

Some which were scheduled to be removed before or in 4.5 might need individual decisions to "backport" a removal or not.

t3lib/class.t3lib_tceforms.php: var $titleLen = 15; // @deprecated since TYPO3 4.1: $GLOBALS['BE_USER']->uc['titleLen'] but what is
default??

t3lib/class.t3lib_iconworks.php:                                // @TODO: RFC #7370: doktype 2&5 are deprecated since TYPO3 4.2-beta1
t3lib/class.t3lib_tcemain.php:                          // note: as "branch" versioning is deprecated since TYPO3 4.2, this
t3lib/class.t3lib_tceforms_inline.php~:                 // 'newRecordLinkPosition' is deprecated since TYPO3 4.2.0-beta1, this is for
backward compatibility:
t3lib/class.t3lib_tceforms_inline.php:                  // 'newRecordLinkPosition' is deprecated since TYPO3 4.2.0-beta1, this is for
backward compatibility:
t3lib/class.t3lib_tcemain.php~:                         // note: as "branch" versioning is deprecated since TYPO3 4.2, this
t3lib/class.t3lib_page.php:     const DOKTYPE_ADVANCED = 2; // @deprecated since TYPO3 4.2
t3lib/class.t3lib_page.php:     const DOKTYPE_HIDE_IN_MENU = 5; // @deprecated since TYPO3 4.2
typo3/sysext/cms/tslib/class.tslib_menu.php:            // @TODO: RFC #7370: doktype 2&5 are deprecated since TYPO3 4.2-beta1

typo3/sysext/css_styled_content/static/v4.2/setup.txt:  # captionSplit is deprecated, use imageTextSplit instead
typo3/sysext/cms/tslib/class.tslib_menu.php:            // @TODO: RFC #7370: doktype 2&5 are deprecated since TYPO3 4.2-beta1
typo3/sysext/cms/tslib/class.tslib_menu.php:                                    // @TODO: RFC #7370: doktype 2&5 are deprecated since TYPO3
4.2-beta1
typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php:                                      // @TODO: RFC #7370: doktype 2&5 are
deprecated since TYPO3 4.2-beta1
typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php:                                                              // @TODO: RFC #7370: doktype
2&5 are deprecated since TYPO3 4.2-beta1
typo3/class.webpagetree.php:                            // @TODO: RFC #7370: doktype 2&5 are deprecated since TYPO3 4.2-beta1
typo3/js/clickmenu.js:// deprecated functions since 4.2, here for compatibility, remove in 4.4
typo3/template.php:                    // return array deprecated since 4.2
typo3/template.php:                    // return array deprecated since 4.2

typo3/sysext/cms/tslib/class.tslib_pibase.php:   * @deprecated since TYPO3 3.6, this function will be removed in TYPO3 4.5, use
pi_exec_query() instead!
typo3/sysext/cms/tslib/class.tslib_fe.php:       * @deprecated since TYPO3 4.3, remove in TYPO3 4.5
typo3/sysext/cms/tslib/class.tslib_fe.php:       * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.5, please use the
"simulatestatic" sysext directly
typo3/sysext/lang/lang.php:                      // @deprecated since TYPO3 4.3, remove in TYPO3 4.5, please use the generic method in

2015-08-04 1/4



typo3/sysext/cms/tslib/class.tslib_adminpanel.php:                      // @deprecated  since TYPO3 4.3
typo3/sysext/cms/tslib/class.tslib_adminpanel.php:                      t3lib_div::deprecationLog('Frontend admin post processing hook
extSaveFeAdminConfig-postProc is deprecated since TYPO3 4.3.');
typo3/sysext/cms/tslib/class.tslib_adminpanel.php:                              // @deprecated  since TYPO3 4.3
typo3/sysext/cms/tslib/class.tslib_adminpanel.php:                              t3lib_div::deprecationLog('Frontend admin post processing hook
extEditAction-postProc is deprecated since TYPO3 4.3.');
typo3/sysext/cms/tslib/class.tslib_fe.php:       * @deprecated since TYPO3 4.3, remove in TYPO3 4.5

t3lib/class.t3lib_rteapi.php: * @deprecated since TYPO3 4.4: Use XCLASS t3lib/class.t3lib_rteapi.php instead. Will be removed in
TYPO3 4.6.
t3lib/config_default.php:               'newPagesVersioningType' => -1,                 // Integer: Default versioning type for new pages create
as versions. -1 means "element", 0 means "page", 1 means "branch". If using enything else than -1 ("element") here you also have to
set "elementVersioningOnly=FALSE" . Please note that "page" and "branch" types are deprecated since TYPO3 4.2 and will be
unsupported in TYPO3 4.6. Thus, this option will be removed in TYPO3 4.6.
t3lib/config_default.php:               'elementVersioningOnly' => TRUE,                // If TRUE, only element versioning is allowed in the
backend (see option newPagesVersioningType). Setting this flag is recommended for new installations of TYPO3 4.2+ since "page"
and "branch" versioning types are known for the drawbacks of loosing ids and "element" type versions supports moving now. Please
note that "page" and "branch" types are deprecated since TYPO3 4.2 and will be unsupported in TYPO3 4.6. Thus, this option will be
removed in TYPO3 4.6.
typo3/sysext/simulatestatic/class.tx_simulatestatic.php:         * @deprecated since TYPO3 4.3, will be deleted in TYPO3 4.6
typo3/sysext/cms/tslib/class.tslib_content.php:                         // @deprecated since TYPO3 4.3, will be removed in TYPO3 4.6
typo3/sysext/cms/tslib/class.tslib_menu.php:     * @deprecated since TYPO3 3.6, this function will be removed in TYPO3 4.6, use
HMENU of type "userfunction" instead of "userdefined" 
typo3/sysext/cms/tslib/class.tslib_fe.php:       * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.6, please use the
"simulatestatic" sysext directly
typo3/sysext/cms/tslib/class.tslib_fe.php:       * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.6, please use the
"simulatestatic" sysext directly
typo3/sysext/cms/tslib/class.tslib_fe.php:       * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.6, please use the
"simulatestatic" sysext directly
typo3/sysext/cms/tslib/class.tslib_fe.php:       * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.6, please use the
"simulatestatic" sysext directly
typo3/sysext/cms/tslib/class.tslib_fe.php:       * @deprecated since TYPO3, 4.3, will be removed in TYPO3 4.6, please use the
"simulatestatic" sysext directly
typo3/class.db_list_extra.inc:   * @deprecated since 4.4, will be removed in TYPO3 4.6 - Use getReferenceCount instead
typo3/class.db_list_extra.inc:   * @deprecated since 4.4, will be removed in TYPO3 4.6 - Use createReferenceHtml() instead
typo3/alt_palette.php: * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.6
typo3/alt_palette.php:   * @deprecated since TYPO3 4.3, will be removed in TYPO3 4.6

Associated revisions
Revision 4e53925d - 2011-07-21 21:13 - Xavier Perseguers

[TASK] Remove deprecated parts marked for removal

Parts of Core are marked as deprecated and should be removed in
TYPO3 4.6. This patch does this clean-up.

Change-Id: Ib33c649d1b1f31ebbfb0fe6e825bb81b47b185a1
Resolves: #27983
Releases: 4.6
Reviewed-on: http://review.typo3.org/3351
Reviewed-by: Markus Klein
Reviewed-by: Philipp Gampe
Reviewed-by: Georg Ringer
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

Revision 8577bd35 - 2011-08-17 22:40 - Patrick Broens

[BUGFIX] Enlarge on click for images does not open a popup

With issue #27983 some deprecated parts were removed but obviously too much. Although $GLOBALS['TSFE']->additionalJavascript is used
throughout the core, after this issue it was never rendered anymore in the frontend.

The javascript function openPic was never added to the frontend because of this.

This patch reinstates the responsible lines which were removed for Enlarge on click

Change-Id: I8e182be8e894e49212a5a4249118b44c0e0bd954
Resolves: #29041
Releases: 4.6
Reviewed-on: http://review.typo3.org/4392
Tested-by: Soren Malling
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

History
#1 - 2011-07-08 15:24 - Chris topher
- Parent task set to #24954

#2 - 2011-07-14 21:50 - Xavier Perseguers
- Tracker changed from Bug to Task
- Target version set to 4.6.0-beta1

#3 - 2011-07-15 13:15 - Mr. Hudson

Patch set 1 of change Ib33c649d1b1f31ebbfb0fe6e825bb81b47b185a1 has been pushed to the review server.
It is available at http://review.typo3.org/3351

#4 - 2011-07-15 13:17 - Xavier Perseguers

What should be tackled with is tslib_fe::idPartsAnalyze() referenced by same class on line 815:

if ($SSD_p)    {    $this->idPartsAnalyze($SSD_p);    }

#5 - 2011-07-15 13:18 - Xavier Perseguers
- Status changed from New to Under Review
#6 - 2011-07-20 16:06 - Mr. Hudson

Patch set 2 of change Ib33c649d1b1f31ebbfb0fe6e825bb81b47b185a1 has been pushed to the review server.
It is available at http://review.typo3.org/3351

#7 - 2011-07-21 11:09 - Mr. Hudson

Patch set 3 of change Ib33c649d1b1f31ebbfb0fe6e825bb81b47b185a1 has been pushed to the review server.
It is available at http://review.typo3.org/3351

#8 - 2011-07-21 21:12 - Xavier Perseguers
- Status changed from Under Review to Resolved
- Assigned To set to Xavier Perseguers
- % Done changed from 0 to 100

Change has been successfully cherry-picked as 4e53925db0933d58fe40a2397dd246219c3d55f7.

#9 - 2012-03-07 13:34 - Xavier Perseguers
- Status changed from Resolved to Closed

#10 - 2013-06-01 14:45 - Ernesto Baschny
- Target version deleted (4.6.0-beta1)
